package com.mgr.group.data;

import com.data.bean.BaseBean;
import com.data.cache.AccountCache;

public class PlayerCache extends AccountCache{
	
	protected BaseBean newBean() {
		return new Player();
	}
	
	static PlayerCache inst;
	
	
	public static Player getPlayer(int id) {
		if(inst==null)inst = new PlayerCache();
		return inst.getBean(id);
	}
	
	public static Player getPlayer(String session) {
		if(inst==null)inst = new PlayerCache();
		return inst.getBean(session);
	}
	
}
